org.wildfly.swarm.config.webservices

## Class PostHandlerChain<T extends PostHandlerChain<T>>

- java.lang.Object
- - org.wildfly.swarm.config.webservices.PostHandlerChain<T>

-     public class PostHandlerChain<T extends PostHandlerChain<T>>
      extends Object

  Endpoint configuration POST handler chain

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PostHandlerChain.PostHandlerChainResources` Child mutators for PostHandlerChain

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostHandlerChain(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `handler(Handler value)` Add the Handler object to the list of subresources
    `T` | `handler(HandlerSupplier supplier)` Install a supplied Handler object to the list of subresources
    `T` | `handler(String childKey)` Create and configure a Handler object to the list of subresources
    `T` | `handler(String childKey, HandlerConsumer consumer)` Create and configure a Handler object to the list of subresources
    `T` | `handlers(List<Handler> value)` Add all Handler objects to this subresource
    `String` | `protocolBindings()` Protocol binding
    `T` | `protocolBindings(String value)` Protocol binding
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `PostHandlerChain.PostHandlerChainResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostHandlerChain

          public PostHandlerChain(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public PostHandlerChain.PostHandlerChainResources subresources()

    - #### handlers

          public T handlers(List<Handler> value)

      Add all Handler objects to this subresource
      Parameters:
        `value` - List of Handler objects.
      Returns:
        this

    - #### handler

          public T handler(Handler value)

      Add the Handler object to the list of subresources
      Parameters:
        `value` - The Handler to add
      Returns:
        this

    - #### handler

          public T handler(String childKey,
                           HandlerConsumer consumer)

      Create and configure a Handler object to the list of subresources
      Parameters:
        `key` - The key for the Handler resource
        `config` - The HandlerConsumer to use
      Returns:
        this

    - #### handler

          public T handler(String childKey)

      Create and configure a Handler object to the list of subresources
      Parameters:
        `key` - The key for the Handler resource
      Returns:
        this

    - #### handler

          public T handler(HandlerSupplier supplier)

      Install a supplied Handler object to the list of subresources

    - #### protocolBindings

          public String protocolBindings()

      Protocol binding

    - #### protocolBindings

          public T protocolBindings(String value)

      Protocol binding

Copyright © 2018 JBoss by Red Hat. All rights reserved.